### Function

# Gimp ConfigWriter new_from_file

#### Declaration [src]

    GimpConfigWriter*
    gimp_config_writer_new_from_file (
      GFile* file,
      gboolean atomic,
      const gchar* header,
      GError** error
    )

#### Description [src]

Creates a new `GimpConfigWriter` and sets it up to write to `file`. If `atomic` is `TRUE`, a temporary file is used to avoid possible race conditions. The temporary file is then moved to `file` when the writer is closed.

Available since: | 2.10

#### Parameters

`file` | `GFile`
| A `GFile`.
| The data is owned by the caller of the function.
`atomic` | `gboolean`
| If `TRUE` the file is written atomically.
`header` | `const gchar*`
| Text to include as comment at the top of the file.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GimpConfigWriter`
| A new `GimpConfigWriter` or `NULL` in case of an error.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.